浏览器版本低!无法浏览完整内容,建议升级或更换浏览器。
iOS 地图 SDK 6.5.4
为了帮助您落实针对您的产品集成第三方SDK产品情况所应履行的隐私合规义务、降低隐私违规风险进而实现您的产品合规运营的业务目标,请您务必确保选用百度地图开放平台官网发布的最新版本产品,且务必确保用户同意您的产品《隐私政策》并取得用户授权同意后,再对您的产品中所集成的百度地图开放平台相关SDK进行初始化。同时,我们强烈建议您仔细阅读并遵守平台《百度地图开放平台产品和服务隐私政策》《隐私合规自查指南》开展全面自查。
注意:由于地图SDK 6.0及之后版本移除i386架构,开发者在使用模拟器编译时,请将Build Settings-> Build Active Architecture Only 设置为Yes
全部下载

包含开发包、类参考、示例代码。

示例代码

仅包含示例代码

类参考

仅包含类参考

使用说明

1. 使用iOS地图SDK,需先下载iOS平台的库文件。

2. 支持iOS 7.0及以上的iPhone设备。

3. 自V2.0.0起,百度地图SDK iOS版全面升级为矢量版。

4. 注意:自v2.0.2版本起,SDK采用了全新的Key验证体系,如果您选择使用v2.0.2及以后的版本,需申请全新的Key。(点击查看申请流程

5. 自V2.3.0起,iOS地图SDK的开发包以用户可定制的形式提供给开发者,即用户可根据自己的实际需求下载对应的开发包使用。

6. 自V2.9.0 起,百度地图iOS地图SDK 将不再提供 .a 形式的开发包。

7. 自V2.9.0 起,采用分包的形式提供 .framework 包,请广大开发者使用时,务必确保各分包的版本保持一致。将之前所有旧包(包含bundle 资源)并全部替换为新包。其中BaiduMapAPI_Base.framework 为基础包,使用SDK 任何功能都 需导入,其他分包可按需导入。
8. 从V4.2.0版本开始,iOS 开发包不再区分普通版本和Bitcode版本,只提供一个Full Bitcode开发包,开发者如果不需要bitcode的话,可以使用命令来剥离。以Base组件为例: xcrun bitcode_strip -r BaiduMapAPI_Base -o BaiduMapAPI_Base。

  • 文档根本没法用

  • 文档水平很差

  • 文档水平一般

  • 文档不错

  • 文档写的很好

如发现文档错误,或对此文档有更好的建议,请在下方反馈。问题咨询请前往反馈平台提交工单咨询。

提交反馈

拖动标注工具

添加矩形标注

添加箭头标注

完成

取消